org.apache.tomcat.util

## Class MutableInteger

- java.lang.Object
- - org.apache.tomcat.util.MutableInteger

- Deprecated.
  Will be removed in Tomcat 8.0.x

      @Deprecated
      public class MutableInteger
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `value` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableInteger()` Deprecated.
    `MutableInteger(int val)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `get()` Deprecated.
    `void` | `set(int val)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected int value

      Deprecated.

  - ### Constructor Detail

    - #### MutableInteger

          public MutableInteger()

      Deprecated.

    - #### MutableInteger

          public MutableInteger(int val)

      Deprecated.

  - ### Method Detail

    - #### get

          public int get()

      Deprecated.

    - #### set

          public void set(int val)

      Deprecated.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.